View Issue Details

IDProjectCategoryLast Update
0019097AI War 2[All Projects] Bug - GameplayFeb 8, 2018 3:37 pm
ReporterBadgerBadgerAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.123 Ship Batch 4 of 7, And A Metric Ton of Improvements 
Fixed in Version0.706 
Summary0019097: Unclaimed planet with active warp gate?
DescriptionI don't remember if I tried to capture this planet or not, but the galaxy map currently claims it is "unclaimed". I observe that the AI still has a warp gate on it. Is that a thing now in AI War 2? In AIWC destroying the controller would automatically take down the warp gate.

Later in the game, I actually (re?)captured the planet, but the AI still owns that warp gate...
TagsNo tags attached.

Relationships

related to 0019291 resolvedkeith.lamothe Warp Gates 

Activities

BadgerBadger

May 10, 2017 12:13 pm

manager  

Unclaimed planet with Warp Gate.png (1,071,831 bytes)

BadgerBadger

May 10, 2017 12:17 pm

manager  

Owned planet with AI Warp gate active.png (1,407,292 bytes)

BadgerBadger

Nov 6, 2017 11:52 am

manager   ~0046579

Perhaps if the planet controller is destroyed the warp gate should destroy itself a la AIWC?

BadgerBadger

Jan 28, 2018 1:19 pm

manager   ~0046764

Also the Design Template Server should also be destroyed automatically on planet capture

keith.lamothe

Feb 8, 2018 3:37 pm

administrator   ~0046930

For 0.706:

* Warp Gates and Design Backup Servers now die when the AI loses the planet's Controller.

Thanks :)

Issue History

Date Modified Username Field Change
May 10, 2017 12:13 pm BadgerBadger New Issue
May 10, 2017 12:13 pm BadgerBadger File Added: Unclaimed planet with Warp Gate.png
May 10, 2017 12:17 pm BadgerBadger File Added: Owned planet with AI Warp gate active.png
May 10, 2017 12:18 pm BadgerBadger Description Updated View Revisions
May 10, 2017 12:31 pm x4000Bughunter Assigned To => keith.lamothe
May 10, 2017 12:31 pm x4000Bughunter Status new => assigned
Nov 6, 2017 11:52 am BadgerBadger Note Added: 0046579
Jan 27, 2018 3:47 pm Dune Relationship added related to 0019291
Jan 27, 2018 3:49 pm Dune Assigned To keith.lamothe => x4000Bughunter
Jan 28, 2018 1:19 pm BadgerBadger Note Added: 0046764
Jan 29, 2018 4:42 pm x4000Bughunter Assigned To x4000Bughunter => keith.lamothe
Feb 8, 2018 3:37 pm keith.lamothe Status assigned => resolved
Feb 8, 2018 3:37 pm keith.lamothe Resolution open => fixed
Feb 8, 2018 3:37 pm keith.lamothe Fixed in Version => 0.706
Feb 8, 2018 3:37 pm keith.lamothe Note Added: 0046930